Skip to main content
GET
/
v1
/
products
/
{id}
Get a product
curl --request GET \
  --url https://api.plexospay.com/v1/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pr_abc123",
  "name": "Premium Plan",
  "description": "<string>",
  "price": "50000",
  "currency": "CVE",
  "active": true,
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Product details

id
string
Example:

"pr_abc123"

name
string
Example:

"Premium Plan"

description
string | null
price
string
Example:

"50000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
active
boolean
metadata
object

Arbitrary key-value metadata (max 50 keys)

createdAt
string<date-time>
updatedAt
string<date-time>